org.wildfly.swarm.config.undertow

## Enum ServletContainer.StackTraceOnError

- java.lang.Object
- - java.lang.Enum<ServletContainer.StackTraceOnError>
  - - org.wildfly.swarm.config.undertow.ServletContainer.StackTraceOnError

- All Implemented Interfaces:
    Serializable, Comparable<ServletContainer.StackTraceOnError>
  Enclosing class:
    ServletContainer<T extends ServletContainer<T>>

      public static enum ServletContainer.StackTraceOnError
      extends Enum<ServletContainer.StackTraceOnError>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL`
    `LOCAL_ONLY`
    `NONE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAllowedValue()` Returns the allowed value for the management model.
    `String` | `toString()`
    `static ServletContainer.StackTraceOnError` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ServletContainer.StackTraceOnError[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final ServletContainer.StackTraceOnError NONE

    - #### LOCAL_ONLY

          public static final ServletContainer.StackTraceOnError LOCAL_ONLY

    - #### ALL

          public static final ServletContainer.StackTraceOnError ALL

  - ### Method Detail

    - #### values

          public static ServletContainer.StackTraceOnError[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ServletContainer.StackTraceOnError c : ServletContainer.StackTraceOnError.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ServletContainer.StackTraceOnError valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getAllowedValue

          public String getAllowedValue()

      Returns the allowed value for the management model.
      Returns:
        the allowed model value

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<ServletContainer.StackTraceOnError>`

Copyright © 2018 JBoss by Red Hat. All rights reserved.